## indi-sbig 2.1

=== debian/changelog ===
indi-sbig (2.1-2) unstable; urgency=medium

  * debian/control: limit architectures to same as libsbig
  * debian/control: move to debian-astro team
  * debian/control: add VCS-*

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 20 Aug 2022 18:11:58 +0200

indi-sbig (2.1-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 23 Dec 2021 11:11:58 +0000
