## indi-sbig 2.1%2B20221220234924

=== debian/changelog ===
indi-sbig (2.1+20221220234924-4build2) plucky; urgency=medium

  * Rebuild against latest libsbig

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 15 Jan 2025 10:09:28 -0500

indi-sbig (2.1+20221220234924-4build1) plucky; urgency=medium

  * No-change rebuild for libsbig4t64

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 05 Nov 2024 21:17:04 +0000

indi-sbig (2.1+20221220234924-4) unstable; urgency=medium

  * do own builds

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 21 Sep 2024 23:49:35 +0200

indi-sbig (2.1+20221220234924-3) unstable; urgency=medium

  * debian/control: remove explicit dependency to libsbig4

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 20 Sep 2024 18:49:35 +0200

indi-sbig (2.1+20221220234924-2) unstable; urgency=medium

  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 19 Sep 2024 23:49:35 +0200

indi-sbig (2.1+20221220234924-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 2.1

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 20 Dec 2022 23:49:35 +0000
