=== debian/control ===
Source: indi-sbig
Section: contrib/science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
	, libsbig-dev
	, libcfitsio-dev
	, libindi-dev
	, zlib1g-dev
	, libnova-dev
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-sbig
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-sbig.git

Package: indi-sbig
Architecture: amd64 armhf arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
	, libsbig4
Description: INDI driver for SBIG cameras
 This package contains an INDI driver for SBIG Santa Barbra Instrument
 Group CCD cameras.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.
